# Filter: gutenbricks\_bricks\_theme\_name

GutenBricks plugin is initiated only when the Bricks theme is activated under the folder name `bricks.` If your theme folder name is different, GutenBricks will not start. This filter allows users to override that theme name so that GutenBricks still works.

```php
add_filter('gutenbricks_bricks_theme_name', function ($original_folder_name) {
  // Here the original_folder_name is 'bricks'
  // But my bricks theme is under a folder name 'bricks-awesome'
  return 'bricks-awesome'
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gutenbricks.com/resources/developer-api/filter-gutenbricks_bricks_theme_name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
